#
# spec file for package perl-Audio-Musepack (Version 1.0.1)
#
# Copyright (c) 2011 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.

Name:           perl-Audio-Musepack
Version:        1.0.1
Release:        3.1
License:        Artistic-1.0 or GPL-1.0+
%define cpan_name Audio-Musepack
Summary:        An object-oriented interface to Musepack file information and APE tag fields
Url:            http://search.cpan.org/dist/Audio-Musepack/
Group:          Development/Libraries/Perl
Source0:        http://www.cpan.org/authors/id/D/DA/DANIEL/Audio-Musepack-%{version}.tar.gz
BuildRequires:  perl(Audio::Scan) >= 0.85
BuildRequires:  perl
# BuildRequires:  perl-macros
# Colision between perl and perl-macros
Requires:       perl(Audio::Scan) >= 0.85
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%{perl_requires}

%description
This module returns a hash containing basic information about a Musepack
file, as well as tag information contained in the Musepack file's APE
tags.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist


%files -f %{name}.files
%defattr(644,root,root,755)
%doc Changes README

%changelog
* Fri Jul  8 2011 malcolmlewis@opensuse.org
- initial package 1.0.1
  * created by cpanspec 1.78.03
